# VecGetArray1d

Returns a pointer to a 1d contiguous array that contains this processor's portion of the vector data. You MUST call VecRestoreArray1d() when you no longer need access to the array.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecGetArray1d(Vec x,PetscInt m,PetscInt mstart,PetscScalar *a[])

Not Collective

### Input Parameter

| x | - the vector
| m | - first dimension of two dimensional array
| mstart | - first index you will use in first coordinate direction (often 0)

### Output Parameter

a -location to put pointer to the array

### Notes

For a vector obtained from DACreateLocalVector() mstart are likely obtained from the corner indices obtained from DAGetGhostCorners() while for DACreateGlobalVector() they are the corner indices from DAGetCorners().

For standard PETSc vectors this is an inexpensive call; it does not copy the vector values.

### See Also

VecGetArray(), VecRestoreArray(), VecGetArrays(), VecGetArrayF90(), VecPlaceArray(),
VecRestoreArray2d(), DAVecGetArray(), DAVecRestoreArray(), VecGetArray3d(), VecRestoreArray3d(), VecGetArray2d(), VecRestoreArray1d(), VecGetArray4d(), VecRestoreArray4d()

Level:developer
Location: src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages